diff --git a/gnu/packages/kde-systemtools.scm b/gnu/packages/kde-systemtools.scm
index 86f169e819..40aeab64d8 100644
--- a/gnu/packages/kde-systemtools.scm
+++ b/gnu/packages/kde-systemtools.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2017, 2020 Hartmut Goebel <h.goebel@crazy-compilers.com>
 ;;; Copyright © 2021 Tobias Geerinckx-Rice <me@tobias.gr>
+;;; Copyright © 2021 Brendan Tildesley <mail@brendan.scot>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -39,14 +40,14 @@
 (define-public dolphin
   (package
     (name "dolphin")
-    (version "20.04.1")
+    (version "21.08.2")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "mirror://kde/stable/release-service/" version
                            "/src/dolphin-" version ".tar.xz"))
        (sha256
-        (base32 "0xr5s0s40i2bsfjfapvpa7dxh9s4604cxirg97xcaacd6fdvhpds"))))
+        (base32 "18aiqpf8qsig64gpcn6b1f0fs5mvzbdg8ncbhcjq0gy8gh3xamj2"))))
     (build-system qt-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -56,6 +57,7 @@
     (inputs
      `(("baloo" ,baloo)
        ("baloo-widgets" ,baloo-widgets)
+       ("breeze-icons" ,breeze-icons)
        ("kactivities" ,kactivities)
        ("kbookmarks" ,kbookmarks)
        ("kcmutils" ,kcmutils)
@@ -73,13 +75,12 @@
        ("kparts" ,kparts)
        ("ktextwidgets" ,ktextwidgets)
        ("kwindowsystem" ,kwindowsystem)
-       ("oxygen-icons" ,oxygen-icons) ;; default icon set
        ("phonon" ,phonon)
        ("qtbase" ,qtbase-5)
        ("solid" ,solid)))
     (arguments
      `(#:tests? #f)) ;; TODO: 4/15 tests fail even with offscreen
-    (home-page "https://kde.org/applications/system/org.kde.dolphin")
+    (home-page "https://apps.kde.org/dolphin/")
     (synopsis "File manager for KDE")
     (description "Dolphin is a file manager for KDE focusing on usability.
 The main features of Dolphin are:
@@ -98,14 +99,14 @@ The main features of Dolphin are:
 (define-public dolphin-plugins
   (package
     (name "dolphin-plugins")
-    (version "20.04.1")
+    (version "21.08.2")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "mirror://kde/stable/release-service/" version
                            "/src/dolphin-plugins-" version ".tar.xz"))
        (sha256
-        (base32 "12g44s6g7ma6avp15l45l42qyzbglswvahm2wji79zdls5vjnz7r"))))
+        (base32 "0278pmakd4xqc8ckyxkzvf1xj1jp7jdq3a86i0n0k691zfljnan7"))))
     (build-system qt-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -113,9 +114,10 @@ The main features of Dolphin are:
      `(("dolphin" ,dolphin)
        ("ki18n" ,ki18n)
        ("kio" ,kio)
+       ("ksyntaxhighlighting" ,ksyntaxhighlighting)
        ("ktexteditor" ,ktexteditor)
        ("kxmlgui" ,kxmlgui)
-       ("oxygen-icons" ,oxygen-icons) ;; default icon set
+       ("breeze-icons" ,breeze-icons) ;; default icon set
        ("qtbase" ,qtbase-5)))
     (home-page "http://www.kde.org/")
     (synopsis "VCS-Plugins for Dolphin")
@@ -126,14 +128,14 @@ Dolphin with the version control systems: Bzr, Git, Mercurial, Subversion.")
 (define-public khelpcenter
   (package
     (name "khelpcenter")
-    (version "20.04.1")
+    (version "21.08.2")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "mirror://kde/stable/release-service/" version
                            "/src/khelpcenter-" version ".tar.xz"))
        (sha256
-        (base32 "0wxzjragvjcfc7c4qja8wzpshhaywficj7f7wkmppzybcsxwn9qb"))))
+        (base32 "0ivm1z7c6yy6dm9sb88ggiww9c2k526lhpipkgiwm6kslzallxsn"))))
     (build-system qt-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -155,12 +157,12 @@ Dolphin with the version control systems: Bzr, Git, Mercurial, Subversion.")
        ("kservice" ,kservice)
        ("kwindowsystem" ,kwindowsystem)
        ("libxml2" ,libxml2)
-       ("oxygen-icons" ,oxygen-icons) ;; default icon set
+       ("breeze-icons" ,breeze-icons) ;; default icon set
        ("qtbase" ,qtbase-5)
        ("xapian" ,xapian)))
     (arguments
      `(#:tests? #f)) ;; 1/1 test fails
-    (home-page "https://kde.org/applications/system/org.kde.Help")
+    (home-page "https://apps.kde.org/help/")
     (synopsis "KDE documentation viewer")
     (description "KHelpCenter uses meta data files which describe the
 documentation available in the system.  Each document is represented by a meta
@@ -176,14 +178,14 @@ document meta data file.")
 (define-public konsole
   (package
     (name "konsole")
-    (version "20.04.1")
+    (version "21.08.2")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "mirror://kde/stable/release-service/" version
                            "/src/konsole-" version ".tar.xz"))
        (sha256
-        (base32 "0ckr7bjkyaw0gr5kx569jfnhkhwmlk4lqk41ng61qwxlb4bsdbdm"))))
+        (base32 "1lhpgags85y0s5p44dpa2k0b9vq46m7h19pha59w1wy72an884ig"))))
     (build-system qt-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -212,7 +214,7 @@ document meta data file.")
        ("kwidgetsaddons" ,kwidgetsaddons)
        ("kwindowsystem" ,kwindowsystem)
        ("kxmlgui" ,kxmlgui)
-       ("oxygen-icons" ,oxygen-icons) ;; default icon set
+       ("breeze-icons" ,breeze-icons) ;; default icon set
        ("qtbase" ,qtbase-5)
        ("qtscript" ,qtscript)))
     (arguments
@@ -231,14 +233,14 @@ This package is part of the KDE base applications module.")
 (define-public krfb
   (package
     (name "krfb")
-    (version "20.04.1")
+    (version "21.08.2")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "mirror://kde/stable/release-service/" version
                            "/src/krfb-" version ".tar.xz"))
        (sha256
-        (base32 "092ijn88jpmgk2zwz37vzf35jisl234mc3krc9jl7bd955akx51k"))))
+        (base32 "1hn21d0cp2k6zair2wwf492y0ip69f1b5axaaz9fqgmgqn0l47qb"))))
     (build-system qt-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -260,13 +262,13 @@ This package is part of the KDE base applications module.")
        ("libvnc" ,libvnc)
        ("libxcb" ,libxcb)
        ("libxtst" ,libxtst)
-       ("oxygen-icons" ,oxygen-icons) ;; default icon set
+       ("breeze-icons" ,breeze-icons) ;; default icon set
        ("pipewire" ,pipewire)
        ("qtbase" ,qtbase-5)
        ("qtx11extras" ,qtx11extras)
        ("xcb-util-image" ,xcb-util-image)
        ("zlib" ,zlib)))
-    (home-page "https://kde.org/applications/internet/org.kde.krfb")
+    (home-page "https://apps.kde.org/krfb/")
     (synopsis "Desktop Sharing utility")
     (description "KDE Desktop Sharing is a server application that allows you
 to share your current session with a user on another machine.  The desktop
@@ -283,14 +285,14 @@ This package is part of the KDE networking module.")
 (define-public ksystemlog
   (package
     (name "ksystemlog")
-    (version "20.04.1")
+    (version "21.08.2")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "mirror://kde/stable/release-service/" version
                            "/src/ksystemlog-" version ".tar.xz"))
        (sha256
-        (base32 "1826h89ynvlxdwzyqil2d79cvynglww6fax7qp41wxasgarxhsni"))))
+        (base32 "1qnnhbi75glgvcvpmpy5zrq6x6hygl7r7v4h99lfm48jdfpyxilj"))))
     (build-system qt-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -308,9 +310,9 @@ This package is part of the KDE networking module.")
        ("ktextwidgets" ,ktextwidgets)
        ("kwidgetsaddons" ,kwidgetsaddons)
        ("kxmlgui" ,kxmlgui)
-       ("oxygen-icons" ,oxygen-icons) ;; default icon set
+       ("breeze-icons" ,breeze-icons) ;; default icon set
        ("qtbase" ,qtbase-5)))
-    (home-page "https://kde.org/applications/system/org.kde.ksystemlog")
+    (home-page "https://apps.kde.org/ksystemlog/")
     (synopsis "System log viewer")
     (description "This program is developed for being used by beginner users,
 which don't know how to find information about their Linux system, and how the
@@ -323,14 +325,14 @@ This package is part of the KDE administration module.")
 (define-public yakuake
   (package
     (name "yakuake")
-    (version "20.12.1")
+    (version "21.08.2")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://kde/stable/release-service/" version
                                   "/src/yakuake-" version ".tar.xz"))
               (sha256
                (base32
-                "02pal9xx1wbpw7dimvs2aw1xnyjqlvbjlybkkfhf8x7c6m1r63aa"))))
+                "1d8dh10jkpm4pm8fh1bmkdwvv59gk0fg6dr3gahlspnh4hhzy4hg"))))
     (build-system qt-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -356,7 +358,7 @@ This package is part of the KDE administration module.")
        ("qtbase" ,qtbase-5)
        ("qtsvg" ,qtsvg)
        ("qtx11extras" ,qtx11extras)))
-    (home-page "https://www.kde.org/applications/system/yakuake/")
+    (home-page "https://apps.kde.org/yakuake/")
     (synopsis "Quad-style terminal emulator for KDE")
     (description "Yakuake is a drop-down terminal emulator based on KDE Konsole
 technology.  Features include: